Skip to content

Operations (In Development)

In Development

This feature is actively being developed. Breaking changes should be expected.

Please contact us before using this feature.

Alpha
List Asynchronous Operations

Request

In Development

This operation is actively being developed. Breaking changes should be expected.

Please contact us before using this operation.

Returns a list of all Asynchronous Operations objects.

Operation ID: operations_list

Security
BearerAuth
Query
limitinteger or null

Number of Asynchronous Operations objects to return in this page. Defaults to 100.

start_afterstring or null

Return Asynchronous Operations objects starting after this name.

orderArray of strings

Select a field to order the results by. Defaults to id. To control the direction of the sorting, append [asc] or [desc] to the field id. For example, id[desc] will sort the results by id in descending order. The ordering defaults to asc if not specified. May be used multiple times to order by multiple fields, and the ordering is applied in the order the fields are specified.

filterArray of strings

Filter results by this query. For more information on filtering, refer to our Filtering Guide. Defaults to no filter. If used more than once, the queries are ANDed together.

curl
curl -i -X GET \
  https://api.synqly.com/v1/jobs \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
resultArray of objects(Operation)required
Response
{ "result": [ { … } ] }